Topic
  • 2 replies
  • Latest Post - ‏2013-07-15T14:16:01Z by PBirett
RaulR
RaulR
2 Posts

Pinned topic IBM Installation Manager fails to install

‏2012-06-07T15:07:22Z |
I'm trying to install Data Architect 7.6. The IDA installer forces the pre-installation of IBM Installation Manager 1.4.3. The problem is that every time I try to install "Installation Manager" it fails with the following message:

Error during "install" phase:
Failed to create executable extension com.ibm.cic.agent.internal.adapters.nativeAdapter.win32.WinPlatformOperationsProvider: org.eclipse.core.runtime.CoreException: Plug-in "com.ibm.cic.agent.core.nativeInstallAdapter.win32" was unable to instantiate class "com.ibm.cic.agent.internal.adapters.nativeAdapter.win32.WinPlatformOperationsProvider".
I found references to this error in the forums and the recommendation is to shorten the path to setup.exe, so I moved the installation folder to C:\IDA. However, the problem still occurs.

This installation is on a Windows Server 2008 R2 Standard 64-bit with Service Pack 1
The installation is done by user with Administrative privileges and run as administrator.

Any assistance will be appreciated
Updated on 2012-06-07T17:46:15Z at 2012-06-07T17:46:15Z by RaulR
  • RaulR
    RaulR
    2 Posts

    Re: IBM Installation Manager fails to install

    ‏2012-06-07T17:46:15Z  
    Based on "6V06_Hao_Tran" recommendation, this issue have been resolved. This is how I got around the problem:

    I downloaded the latest IM from http://www-304.ibm.com/support/docview.wss?uid=swg24031300(Installation Manager 1.5.2), unzipped the files into a new folder (C:\IDA\IM) and installed IM without issues. I then used the newly installed IM 1.5.2 to install IDA, which also installed without problems.

    I am guessing that there must be some bug in the IM 1.4.3 installer that came with the IDA media that is not there in the new IM 1.5.2
  • PBirett
    PBirett
    1 Post

    Re: IBM Installation Manager fails to install

    ‏2013-07-15T14:16:01Z  
    • RaulR
    • ‏2012-06-07T17:46:15Z
    Based on "6V06_Hao_Tran" recommendation, this issue have been resolved. This is how I got around the problem:

    I downloaded the latest IM from http://www-304.ibm.com/support/docview.wss?uid=swg24031300(Installation Manager 1.5.2), unzipped the files into a new folder (C:\IDA\IM) and installed IM without issues. I then used the newly installed IM 1.5.2 to install IDA, which also installed without problems.

    I am guessing that there must be some bug in the IM 1.4.3 installer that came with the IDA media that is not there in the new IM 1.5.2

    I received same error when I tried to install the IIM out of the "IBM WebSphere Portal and Web Content Manager Install V8.0 (CI7MYML)" package, which announces itself as v1.5.2, too.

    But with above mentioned URL for a standalone IIM to download, it worked. Thanks.